osgPresentation::PropertyReader Struct Reference

`#include <PropertyManager>`

## Public Member Functions

| PropertyReader (const osg::NodePath &nodePath, const std::string &str)
template<typename T>
bool | read (T &value)
template<typename T>
PropertyReader & | operator>> (T &value)
bool | ok ()
bool | fail ()

## Public Attributes

bool | _errorGenerated
osg::NodePath | _nodePath
std::istringstream | _sstream

## Constructor & Destructor Documentation

## PropertyReader()

osgPresentation::PropertyReader::PropertyReader | ( | const osg::NodePath & | nodePath,
|  | const std::string & | str )

inline

References _errorGenerated, _nodePath, and _sstream.

Referenced by operator>>().

## Member Function Documentation

## fail()

bool osgPresentation::PropertyReader::fail | ( |  | ) |

inline

References _errorGenerated, and _sstream.

## ok()

bool osgPresentation::PropertyReader::ok | ( |  | ) |

inline

References _errorGenerated, and _sstream.

## operator>>()

template<typename T>

PropertyReader & osgPresentation::PropertyReader::operator>> | ( | T & | value | ) |

inline

References _errorGenerated, PropertyReader(), and read().

## read()

template<typename T>

bool osgPresentation::PropertyReader::read | ( | T & | value | ) |

inline

References _nodePath, _sstream, osgPresentation::getUserValue(), and OSG_NOTICE.

Referenced by operator>>().

## Member Data Documentation

## _errorGenerated

bool osgPresentation::PropertyReader::_errorGenerated

Referenced by fail(), ok(), operator>>(), and PropertyReader().

## _nodePath

osg::NodePath osgPresentation::PropertyReader::_nodePath

Referenced by PropertyReader(), and read().

## _sstream

std::istringstream osgPresentation::PropertyReader::_sstream

Referenced by fail(), ok(), PropertyReader(), and read().

The documentation for this struct was generated from the following file:

- PropertyManager